import { ElementRef } from '@angular/core';
import { MaskService } from '../services/mask.service';
import { SupportedLanguage } from '../services/translation.service';
import * as i0 from "@angular/core";
export declare class PhoneMaskDirective {
    private el;
    private maskService;
    phoneMaskLocale?: SupportedLanguage;
    constructor(el: ElementRef, maskService: MaskService);
    onInput(event: any): void;
    onBlur(event: any): void;
    onPaste(event: ClipboardEvent): void;
    private applyMask;
    static ɵfac: i0.ɵɵFactoryDeclaration<PhoneMaskDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PhoneMaskDirective, "[siaPhoneMask]", never, { "phoneMaskLocale": { "alias": "phoneMaskLocale"; "required": false; }; }, {}, never, never, true, never>;
}
